import request from "@/utils/request"

/** 草场 — 分页列表 */
export function listGrassland(query) {
  return request({
    url: "/dataModel/grassland/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getGrassland(id) {
  return request({
    url: "/dataModel/grassland/" + id,
    method: "get"
  })
}

/** 新增 */
export function addGrassland(data) {
  return request({
    url: "/dataModel/grassland",
    method: "post",
    data
  })
}

/** 修改 */
export function updateGrassland(data) {
  return request({
    url: "/dataModel/grassland",
    method: "put",
    data
  })
}

/** 删除（逻辑删除） */
export function delGrassland(ids) {
  return request({
    url: "/dataModel/grassland/" + ids,
    method: "delete"
  })
}
